/* Predescu Maria 334CB - MusiCube */
/* Fisier ce contine headerele functiilor folosite */

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/sleep.h>
#include <avr/wdt.h>
#include <string.h>
#include <stdio.h>

#define F_CPU 16000000
#include <stdlib.h>

#include "songs.h"

#define FULL_LAYER_A 0xff
#define FULL_LAYER_C 0b11111110
#define EMPTY_LAYER_A 0x00
#define EMPTY_LAYER_C 0b00000001
#define LAYER1 PD0
#define LAYER2 PD1
#define LAYER3 PD4
#define LAYER4 PD7

#define TRUE 1
#define FALSE 0

/* Cele trei melodii redate */
#define GAMEOFTHRONES 0
#define MAINTHEME 1
#define BEVERLYHILLS 2

/* Functiile folosite pentru jocurile de lumini */
void cube_on(void);
void cube_off(void);

void one_layer_on(int);
void one_layer_off(int);

void one_vertical_on(int);
void one_vertical_off(int);

void rain(int);
void moving_planes(int);

void corner_on(void);
void corner_off(void);

void inner_cube_on(void);
void inner_cube_off(void);

void outer_cube_on(void);
void outer_cube_off(void);

void animation_on_music(int);
void animation_on_music_off(int);

void choose_melody(void);